Skip to main content
POST
/
v1
/
pledges
/
{id}
/
activate
Activate pledge
curl --request POST \
  --url https://api.sandbox.busha.so/v1/pledges/{id}/activate \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "reference": "activation_disb_9f1",
  "activated_at": "2023-10-15T12:15:30Z",
  "meta": {}
}
'
import requests

url = "https://api.sandbox.busha.so/v1/pledges/{id}/activate"

payload = {
"reference": "activation_disb_9f1",
"activated_at": "2023-10-15T12:15:30Z",
"meta": {}
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}

response = requests.post(url, json=payload, headers=headers)

print(response.text)
const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
reference: 'activation_disb_9f1',
activated_at: '2023-10-15T12:15:30Z',
meta: {}
})
};

fetch('https://api.sandbox.busha.so/v1/pledges/{id}/activate', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "status": "success",
  "message": "message for success",
  "data": {
    "id": "PLG_01HX...",
    "event_id": "PLE_01HX...",
    "activated_at": "2023-10-15T12:15:30Z"
  }
}

Authorizations

Authorization
string
header
required

Bearer Authentication

Headers

X-BU-PROFILE-ID
string

User profile header

Example:

"BUS_YOK8tp5Zga01qOKEsqp07"

Path Parameters

id
string
required

Pledge ID

Example:

"PLG_01HX..."

Body

application/json

Pledge activation request

reference
string
required
Required string length: 1 - 255
Example:

"activation_disb_9f1"

activated_at
string<date-time>
Example:

"2023-10-15T12:15:30Z"

meta
object

Optional non-query-critical pledge context.

Response

Successful pledge lifecycle action response

General response Values

status
enum<string>
required
Available options:
success,
error
Example:

"success"

message
string
required
Example:

"message for success"

data
object
required